%h3.page-title
  = t("profiles.keys.add_ssh_key")
%p.light
  = t("profiles.keys.paste_public_key")
  = link_to t("profiles.keys.ssh_help_page"), help_page_path("ssh", "README")
%hr
= render 'form'

:javascript
  $('#key_key').on('keyup', function(){
    var title = $('#key_title'),
        val      = $('#key_key').val(),
        key_mail = val.match(/([a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+|\.[a-zA-Z0-9._-]+)/gi);

    if( key_mail && key_mail.length > 0 && title.val() == '' ){
      $('#key_title').val( key_mail );
    }
  });
